Bug 5828 - notes for purchase suggestions not showing in the staff client
Summary: notes for purchase suggestions not showing in the staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: cgi-bin/koha/suggestion/suggestion.pl#
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-03 20:52 UTC by Nicole C. Engard
Modified: 2012-10-25 23:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (4.81 KB, patch)
2011-03-31 14:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot selection of updated display (5.50 KB, image/png)
2011-03-31 14:21 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-03-03 20:52:53 UTC
When you're adding a purchase suggestion in the OPAC you can enter a note.  That note appears in the opac on your list of suggestions, but it does not appear on the list of suggestions in the staff client.  This is critical information.
Comment 1 Nicole C. Engard 2011-03-30 12:24:13 UTC
Chat transcript:

17:11
oleonard
nengard I have a question about Bug 5828

17:12
huginn
04Bug http://bugs.koha-community.org[…]w_bug.cgi?id=5828 major, P5, ---, henridamien, NEW, notes for purchase suggestions not showing in the staff client

17:12
nengard
k

17:12
oleonard
I find that the note doesn't appear in the list view, but it does appear if you click on a suggestion

17:12
nengard
right

17:12
you think that's enough?

17:13
oleonard
I do, given that it would be difficult to display the notes along with all that other information in the list view

17:14
I'm open to arguments, but mostly I wanted to confirm that we were talking about the same thing

17:38
oleonard - sorry i got distracted - all the info is on the list view except the note, so most people don't ever click on the suggestions

17:38
that's why i suggested showing the note on the list

17:38
ease of use
Comment 2 Helen Linda 2011-03-31 13:33:07 UTC
I would like to add that for my academic library as well as libraries in our local public library consortium, we get a huge number of purchase suggestions. The point of the initial list is to be able to manage those large numbers in batch. If we can't see the notes, however, we are unable to know whether a suggestion is a "the library should have this but I don't need it" suggestion or a "I want this the second you get it in" suggestion. That information is the most important information to have when deciding whether or not to approve, deny, or ILL. The fact that we have to click through each title to see the notes means that we spend twice as much time or more. It would be a real boon to have notes viewable on that list.
Comment 3 Owen Leonard 2011-03-31 14:20:58 UTC
Created attachment 3574 [details] [review]
Proposed fix

- Correcting the markup error that prevented the note from appearing
- Adding a little icon to set the note off from the other data
Comment 4 Owen Leonard 2011-03-31 14:21:59 UTC
Created attachment 3575 [details]
Screenshot selection of updated display
Comment 5 Helen Linda 2011-03-31 14:31:36 UTC
Looks great to me, for the record!
Comment 6 Nicole C. Engard 2011-03-31 15:09:43 UTC
Love it! signed off :)
Comment 7 Chris Cormack 2011-03-31 23:08:50 UTC
Pushed, please test